Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478928 - Review Request: globus-rsl-assist - Globus Toolkit - RSL Manipulation Library
Summary: Review Request: globus-rsl-assist - Globus Toolkit - RSL Manipulation Library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 478927
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-06 01:16 UTC by Mattias Ellert
Modified: 2009-05-12 03:59 UTC (History)
3 users (show)

Fixed In Version: 2.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-02 16:29:59 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 01:16:21 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-rsl-assist.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-rsl-assist-2.1-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-rsl-assist package contains:
RSL Manipulation Library

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-rsl-devel >= 2
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Comment 1 Mattias Ellert 2009-03-16 00:02:49 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-rsl-assist-2.1-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-rsl-assist.spec

Comment 2 Mattias Ellert 2009-04-17 13:45:29 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rsl-assist-2.1-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-rsl-assist.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Orcan Ogetbil 2009-04-24 03:55:25 UTC
I finished reviewing this. There is only one issue that I need to ask:

? This one has doxygen documentation. Any reasons for not building/packaging it?

The package build fine in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1318281

Comment 4 Mattias Ellert 2009-04-24 06:59:58 UTC
There are comments in the headers describing the API, but they are not proper doxygen markup. It is possible to build the package with the instructions to generate a doc package, but it will be rather empty:

/usr/share/doc/globus-rsl-assist-2.1/html
/usr/share/doc/globus-rsl-assist-2.1/html/doxygen.css
/usr/share/doc/globus-rsl-assist-2.1/html/doxygen.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2blank.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2doc.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2folderclosed.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2folderopen.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2lastnode.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2link.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2mlastnode.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2mnode.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2node.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2plastnode.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2pnode.png
/usr/share/doc/globus-rsl-assist-2.1/html/ftv2vertline.png
/usr/share/doc/globus-rsl-assist-2.1/html/globus_rsl_assist.tag
/usr/share/doc/globus-rsl-assist-2.1/html/graph_legend.dot
/usr/share/doc/globus-rsl-assist-2.1/html/graph_legend.html
/usr/share/doc/globus-rsl-assist-2.1/html/graph_legend.png
/usr/share/doc/globus-rsl-assist-2.1/html/index.html
/usr/share/doc/globus-rsl-assist-2.1/html/main.html
/usr/share/doc/globus-rsl-assist-2.1/html/tab_b.gif
/usr/share/doc/globus-rsl-assist-2.1/html/tab_l.gif
/usr/share/doc/globus-rsl-assist-2.1/html/tab_r.gif
/usr/share/doc/globus-rsl-assist-2.1/html/tabs.css
/usr/share/doc/globus-rsl-assist-2.1/html/tree.html
/usr/share/doc/globus-rsl-assist-2.1/refman.pdf
/usr/share/globus/packages/globus_rsl_assist/noflavor_doc.filelist
/usr/share/globus/packages/globus_rsl_assist/pkg_data_noflavor_doc.gpt

As you can see there are no section 3 man pages, nor any html pages with content - only the empty stub created by doxygen. The pdf manual only has the frontpage and an empty content page.

So the doc package is possible to produce, but is rather useless.

Comment 5 Orcan Ogetbil 2009-04-24 16:05:58 UTC
No need to produce it if it is useless. But take a note somewhere in case things change with the next upstream release.

----------------------------------------------------
This package (globus-rsl-assist) is APPROVED by oget
----------------------------------------------------

Comment 6 Mattias Ellert 2009-04-24 16:29:38 UTC
Thank you for the review. I will definitely check if the documentation is buildable in new releases.


New Package CVS Request
=======================
Package Name: globus-rsl-assist
Short Description: Globus Toolkit - RSL Manipulation Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 7 Kevin Fenzi 2009-04-27 05:06:58 UTC
cvs done.

Comment 8 Fedora Update System 2009-04-28 02:49:52 UTC
globus-rsl-assist-2.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-rsl-assist-2.1-1.fc10

Comment 9 Fedora Update System 2009-04-28 02:49:57 UTC
globus-rsl-assist-2.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-rsl-assist-2.1-1.fc9

Comment 10 Fedora Update System 2009-05-02 16:29:54 UTC
globus-rsl-assist-2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-05-02 16:36:14 UTC
globus-rsl-assist-2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-05-08 13:55:22 UTC
globus-rsl-assist-2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-rsl-assist-2.1-1.fc11

Comment 13 Fedora Update System 2009-05-12 03:59:53 UTC
globus-rsl-assist-2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.